> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event group by id

> Get a single event group by id. Event ids blocked for the channel are excluded.



## OpenAPI

````yaml get /event-groups/{eventGroupId}
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /event-groups/{eventGroupId}:
    get:
      tags:
        - Event Groups
      summary: Get event group by id
      description: >-
        Get a single event group by id. Event ids blocked for the channel are
        excluded.
      operationId: getEventGroupById
      parameters:
        - name: eventGroupId
          in: path
          description: Event group id to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/EventGroup'
                  success:
                    type: boolean
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
      security:
        - ApiKey: []
components:
  schemas:
    EventGroup:
      type: object
      description: A group of events belonging to an organization.
      properties:
        _id:
          type: string
          description: Unique identifier of the event group.
          example: p03zns27fhz7opf9lqulc1scg9ke5z1y
        organization_id:
          type: string
          description: Unique identifier of the organization.
          example: Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX
        name:
          type: string
          description: Name of the event group.
          example: CM EVENTS
        description:
          type: string
          nullable: true
          description: Description of the event group.
        event_ids:
          type: array
          items:
            type: string
          description: Event ids included in the group that are accessible for the channel.
      required:
        - _id
        - organization_id
        - name
        - event_ids
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````